SDL-mixer-0.6.3.0: Binding to libSDL_mixer

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Mixer.General

Description

# Documentation

data AudioFormat Source #

Constructors

AudioU8 |
AudioS8 |
AudioU16LSB |
AudioS16LSB |
AudioU16MSB |
AudioS16MSB |
AudioU16Sys |
AudioS16Sys |

#### Instances

Instances details

Enum AudioFormat |

Instance details

Defined in Graphics.UI.SDL.Audio

Methods

succ :: AudioFormat -> AudioFormat

pred :: AudioFormat -> AudioFormat

toEnum :: Int -> AudioFormat

fromEnum :: AudioFormat -> Int

enumFrom :: AudioFormat -> [AudioFormat]

enumFromThen :: AudioFormat -> AudioFormat -> [AudioFormat]

enumFromTo :: AudioFormat -> AudioFormat -> [AudioFormat]

enumFromThenTo :: AudioFormat -> AudioFormat -> AudioFormat -> [AudioFormat]

Eq AudioFormat |
Instance details Defined in Graphics.UI.SDL.Audio Methods (==) :: AudioFormat -> AudioFormat -> Bool (/=) :: AudioFormat -> AudioFormat -> Bool
Ord AudioFormat |
Instance details Defined in Graphics.UI.SDL.Audio Methods compare :: AudioFormat -> AudioFormat -> Ordering (<) :: AudioFormat -> AudioFormat -> Bool (<=) :: AudioFormat -> AudioFormat -> Bool (>) :: AudioFormat -> AudioFormat -> Bool (>=) :: AudioFormat -> AudioFormat -> Bool max :: AudioFormat -> AudioFormat -> AudioFormat min :: AudioFormat -> AudioFormat -> AudioFormat
Show AudioFormat |
Instance details Defined in Graphics.UI.SDL.Audio Methods showsPrec :: Int -> AudioFormat -> ShowS show :: AudioFormat -> String showList :: [AudioFormat] -> ShowS

tryOpenAudio :: Int -> AudioFormat -> Int -> Int -> IO Bool Source #

openAudio :: Int -> AudioFormat -> Int -> Int -> IO () Source #

closeAudio :: IO () Source #

tryQuerySpec :: IO (Maybe (Int, AudioFormat, Int)) Source #

querySpec :: IO (Int, AudioFormat, Int) Source #

defaultFrequency :: Int Source #